Subject: Re: bug#12988: [PATCH] RE: bug#12988: isearch fails to persistentlyindicate case sensitivity

From: Jambunathan K <[email-masked]>
Date: Sat, 01 Dec 2012 12:11:58 +0530

Chong Yidong <[email-masked]> writes:

> "Drew Adams" <[email-masked]> writes:
>
>> The slash is useless anyway.  Why not consider the proposals discussed
>> earlier in the thread (repeated below)?
>>
>>  I search   - lax whitespace
>>  I*search   - regexp
>>  I* search  - lax ws & regexp
>>  Isearchw   - word
>>  Isearch_   - symbol
>>  I searchw  - word & lax ws
>>  I search_  - symbol & lax ws
>
> Because these look terrible.

Drew's idea is nice.

    Isearch( *Aw_):

Have a fixed width string like that.  Characters/Glyphs in the bracket
are basically all possible indicators or controls.  If a character is
on, highlight that on.  There is also some control on where the space
character goes.

One can even cycle through the glyphs and turn those switches on/off one
by one.
--